ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Image::Impl Class Reference

Private implementation details of Image model object. More...

Collaboration diagram for ome::xml::model::Image::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
std::string | id
| ID property.
ome::compat::shared_ptr< std::string > | name
| Name property.
ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > | acquisitionDate
| AcquisitionDate property.
ome::compat::weak_ptr< ome::xml::model::Experimenter > | experimenter
| ExperimenterRef reference.
ome::compat::shared_ptr< std::string > | description
| Description property.
ome::compat::weak_ptr< ome::xml::model::Experiment > | experiment
| ExperimentRef reference.
ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > | experimenterGroup
| ExperimenterGroupRef reference.
ome::compat::weak_ptr< ome::xml::model::Instrument > | instrument
| InstrumentRef reference.
ome::compat::shared_ptr< ome::xml::model::ObjectiveSettings > | objectiveSettings
| ObjectiveSettings property.
ome::compat::shared_ptr< ome::xml::model::ImagingEnvironment > | imagingEnvironment
| ImagingEnvironment property.
ome::compat::shared_ptr< ome::xml::model::StageLabel > | stageLabel
| StageLabel property.
ome::compat::shared_ptr< ome::xml::model::Pixels > | pixels
| Pixels property.
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type | roiLinks
| ROIRef reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type | microbeamManipulationLinks
| MicrobeamManipulationRef reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | datasetLinks
| Dataset_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type | folderLinks
| Folder_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type | wellSamples
| WellSample_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Image model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Image.cpp